% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/readCoverageFile.R
\name{readCoverageFile}
\alias{readCoverageFile}
\title{Read coverage file}
\usage{
readCoverageFile(file, format, zero = NULL)
}
\arguments{
\item{file}{Target coverage file.}

\item{format}{File format. If missing, derived from the file 
extension. Currently only GATK DepthofCoverage and CNVkit formats 
supported.}

\item{zero}{Start position is 0-based. Default is \code{FALSE}
for GATK, \code{TRUE} for BED file based intervals.}
}
\value{
A \code{data.frame} with the parsed coverage information.
}
\description{
Read coverage file produced by external tools like The Genome Analysis 
Toolkit or by \code{\link{calculateBamCoverageByInterval}}.
}
\examples{

tumor.coverage.file <- system.file("extdata", "example_tumor.txt", 
    package="PureCN")
coverage <- readCoverageFile(tumor.coverage.file)

}
\seealso{
\code{\link{calculateBamCoverageByInterval}}
}
\author{
Markus Riester
}
